Description

This small update hosts version 1.89 released with a brand new installer! It allows Tyranids 0.5b3 to be compatible with Ultimate Apocalypse along with a few more changes created by UA Team. This is a FULL version! FOR MORE INFO, PLEASE READ THE DESCRIPTION!!!!!

Preview
Ultimate Apocalypse Version 1.89.2 FULL INSTALL
Comments
Lord_Cylarne Author
Lord_Cylarne

Thank you for downloading!!!

Installation Tutorial >>> (In Progress)
Changelog >>> Cdn.discordapp.com
Join our Discord! >>> Discord.gg

Please read the description for more info!

Reply Good karma+14 votes
Arma_dei_Carabinieri
Arma_dei_Carabinieri

Can you confirm we are getting a patch? Thanks.

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

This is essentially the patch of the 1.89 update. ^^

Reply Good karma+5 votes
Kratosofsparta
Kratosofsparta

i find its more hard to kill them in the mod then without it why?

Reply Good karma Bad karma+1 vote
KyloRen
KyloRen

Thank you guys for updating this. Haven't gotten to play Ultimate Apocalypse in a while despite it being one of my favorite mods of all time, gonna have to give it a shot now.

Reply Good karma Bad karma+3 votes
IgorTheLight
IgorTheLight

Nice!
Small request - could you update DoW Mod Manager version from 1.52 to 2.1.8 (on ModDB) so people wouldn't try to use outdated version and get problems, that were fixed a few years ago? ;-)

Reply Good karma Bad karma+4 votes
Lord_Cylarne Author
Lord_Cylarne

I'll look into it. Thanks!

Reply Good karma+4 votes
Guest
Guest

Thank you very much for this!

Reply Good karma Bad karma+3 votes
scoutca11sign
scoutca11sign

Sorry for a newbie question in advance, but does it have 4gb patch? Also, can I use Salcol patch with 1.89 weriion?

Reply Good karma Bad karma+2 votes
Lord_Cylarne Author
Lord_Cylarne

The 4gb patch can be easily obtained through the DOW Mod Manager. :) Salcols update is not compatible.

Reply Good karma+2 votes
Guest
Guest

Thanks!

Reply Good karma Bad karma+1 vote
jONES1979
jONES1979

Congratulations!

Reply Good karma Bad karma+4 votes
generalsol
generalsol

Thanks, UA Team! Greatest mod out there. 20 years eh, struth!

Reply Good karma Bad karma+2 votes
WoodsGore
WoodsGore

Hello! Lord_Cylarne do I do a fresh install to get this update? How do uninstall mod manager if so?

Reply Good karma Bad karma+1 vote
WoodsGore
WoodsGore

Also, what is the 4gb patch? Im not computer savvy as im having trouble. All I want is an updated UA mod.

Reply Good karma Bad karma+1 vote
WoodsGore
WoodsGore

I have mod manager v1.52 if that means anything. I had ua mod v1.88

Reply Good karma Bad karma+1 vote
IgorTheLight
IgorTheLight

How to update DoW Mod Manager:
* Delete "DoW Mod Manager 1.52.exe" and "DoW Mod Manager" folder
* Download DoW Mod Manager 2.1.8 from here Github.com
You would need to download "DoW_Mod_Manager_2.1.8.zip and unzip it into your Soulstorm directory.
* Launch it.
* Go To "Download Mod" -> Select "Ultimate Apocalypse" and press "Download"
* Open the archive
* If you would see a folder and an "*.module" file - unzip it into your Soulstorm directory.
* If you would see an "*.exe" file - just launch it and install the mod
* If game would crash during start - install Tyranids 0.5b3 using DoW Mod Manager

Reply Good karma Bad karma+2 votes
JordanThomas
JordanThomas

It took me ages to figure out what the 4GB patch is, I found it though here LAA - (Large Adress Awareness) Patch - Moddb.com It increases the games VRAM to 4GB so the game doesn't crash half way through the game. It just gives the game better memory.

Reply Good karma Bad karma+2 votes
IgorTheLight
IgorTheLight

Almost correct:
* 4 Gb patch switches one flag in executable that enables support for PAE (Physical Address Extension)
* By default, 32 bit applications could only use 2 Gb or RAM. Even on a 64 bit OS
* With that feature enabled, application could use up to 4 Gb of RAM (using a Virtual RAM technology - not VRAM which is VideoRAM - a type of memory, used in videocards)
Here is info about PAE: En.wikipedia.org
Here is a very handy 4GB patcher - you could make ANY 32 bit application been able to use 4 Gb of RAM (dodn't enable this feature if you don't need to): Ntcore.com
DoW Mod Manager could do that too - just press "Toggle LAA"

Reply Good karma Bad karma+2 votes
JordanThomas
JordanThomas

Are you aving problems with the AI? In this 1.89.2 my AI seem to be confused and do not know how to build new units. ORKS and ELDAR are ok but everyone else seems broken. Is that just me?

Reply Good karma Bad karma+1 vote
Guest
Guest

Game is crashing for me. Checked errors and it's complaining about "abilities/tyranids_building_depression_aura.lua" not being a valid ability for Hierophants and Capillary Towers. Tried launching base game Tyranids and it works like a charm. Any tips?

Reply Good karma Bad karma0 votes
JordanThomas
JordanThomas

Not every version of Tyranids is compatible with this mod. Which version of Tyranid are you using? Make sure you are using Tyranids 0.5b3 with Ultimate Apocalypse Version 1.89.2. For older versions of Ultimate Apocalypse make sure to use Tyranid_Mod_0.5b2

Reply Good karma Bad karma+1 vote
Dr.Kyst
Dr.Kyst

What is Scalcols UA mod?

Reply Good karma Bad karma+1 vote
grimbean
grimbean

Is is possible to publish mod files as standalone instead of an installer file please?

Reply Good karma Bad karma+1 vote
Bokune
Bokune

so is this mod still being ruined or has who ever it was finally started being nice to his team

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

yanmo
yanmo

so, does this version add the new units on those pictures?

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

PostApoc

Thank you :)

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

what new this patch?

Reply Good karma Bad karma0 votes
IgorTheLight
IgorTheLight

Click on "Read more" below "Download NOW!" button

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

horus_luperc@l
horus_luperc@l

game keeps crashing while loading a skirmish game of 6

Reply Good karma Bad karma+1 vote
IgorTheLight
IgorTheLight

Did you applied 4 Gb RAM patch?

Reply Good karma Bad karma+1 vote
horus_luperc@l
horus_luperc@l

I was unaware 1.89.2 needed a patch

Reply Good karma Bad karma+1 vote
horus_luperc@l
horus_luperc@l

nvm i got it

Reply Good karma Bad karma+1 vote
IgorTheLight
IgorTheLight

ANY mod needs a Soulstorm patch because none of the mods touch Soulstorm executable :-)

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.